Package Details: monitorix 3.13.1-1

Git Clone URL: https://aur.archlinux.org/monitorix.git (read-only, click to copy)
Package Base: monitorix
Description: A lightweight system monitoring tool that uses rrd databases.
Upstream URL: https://www.monitorix.org
Licenses: GPLv2
Conflicts: monitorix-git
Submitter: None
Maintainer: graysky
Last Packager: graysky
Votes: 104
Popularity: 0.71
First Submitted: 2010-01-24 13:53
Last Updated: 2021-01-27 20:14

Dependencies (19)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

milouse commented on 2014-08-09 17:12

@berot3 you should have done the same mistake as me : reading doc too fast and trying to access monitorix on http://localhost:8080. In fact only the perl server listen there, monitorix is available at http://localhost:8080/monitorix

graysky commented on 2014-07-11 18:58

I just tested lighttpd + monitorix and it works for me out-of-the-box without any tweaks.

berot3 commented on 2014-07-11 10:22

Am I the only one who needs to a ln -s monitorix/cgi/ monitorix/monitorix-cgi?
Else-wise I only get a 404...

Schmeidenbacher commented on 2014-06-07 20:22

Hold your horses. I'm just a big dummy.

It's only on the frigging Raspberry Pi.

I use archlinuxarm on that one, and they seemingly haven't rebuild rrdtools yet.

Sorry for that.

Schmeidenbacher commented on 2014-06-07 20:14

Actually, that was the first thing i tried, but no luck.

In the meantime i found the logfile.

Sat Jun 7 22:12:02 2014 - WARNING: unable to load module 'system'. Perl API version v5.18.0 of RRDs does not match v5.20.0 at /usr/lib/perl5/core_perl/DynaLoader.pm line 216.
Compilation failed in require at /usr/lib/monitorix/system.pm line 26.
BEGIN failed--compilation aborted at /usr/lib/monitorix/system.pm line 26.
Compilation failed in require at (eval 8) line 1.
BEGIN failed--compilation aborted at (eval 8) line 1.

Afterwards all monitorx modules fail at line 26, which would import the RRDs module.

But that makes no sense, rrdtools, from which the RRDs module is from was rebuilt together with perl 5.2, i checked the dates.

graysky commented on 2014-06-07 20:08

Have you rebuilt perl-config-general?

Schmeidenbacher commented on 2014-06-07 19:48

Mmmh. I just noticed that after the perl update to 5.20 monitorix won't start anymore.

The problem is, that it doesn't give me any error message at all. Does anyone have an idea what's up with it?

SanskritFritz commented on 2014-05-18 10:35

Thanks for the heads-up, I think you're right.

graysky commented on 2014-05-18 10:33

@San-Yes, due to upstream's moving of the config file... I think that if I remove that from the backup array, then users coming from older versions will not have their live config files backed-up when updating.

SanskritFritz commented on 2014-05-18 10:26

==> WARNING: backup entry file not in package : etc/monitorix.conf